Bug 1018068 - RFE: yum-cron: Need to turn off update notifications
Summary: RFE: yum-cron: Need to turn off update notifications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-11 06:48 UTC by Jan ONDREJ
Modified: 2018-03-01 16:41 UTC (History)
6 users (show)

Fixed In Version: yum-3.4.3-122.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-10 06:11:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1550075 None NEW yum-cron: update_messages doesn't work as expected 2019-08-23 14:16:22 UTC

Internal Links: 1550075

Description Jan ONDREJ 2013-10-11 06:48:48 UTC
Description of problem:
On each successful update, yum send email using cron with actually applied updates. I have multiple servers with similar configuration and currently I will get lots of similar messages from yum.

Also I receive same information from logwatch and from one of my script, which is searching for differences, so this message from yum is a duplicate of logwatch.

Version-Release number of selected component (if applicable):
yum-3.4.3-111.fc19.noarch

How reproducible:
always

Actual results:
Subject: Anacron job 'cron.daily' on ftp.upjs.sk                                

/etc/cron.daily/0yum-daily.cron:

The following updates will be applied on ftp.upjs.sk:
================================================================================
 Package                  Arch         Verzia               Repozitár      Veľ. 
================================================================================
Aktualizuje sa:
 lshw                     x86_64       B.02.17-2.fc19       updates       272 k 
 nspr                     x86_64       4.10.1-1.fc19        updates       120 k
 nss                      x86_64       3.15.2-1.fc19        updates       852 k
 nss-softokn              x86_64       3.15.2-1.fc19        updates       293 k
 nss-softokn-freebl       x86_64       3.15.2-1.fc19        updates       161 k 
 nss-sysinit              x86_64       3.15.2-1.fc19        updates        48 k 
 nss-tools                x86_64       3.15.2-1.fc19        updates       461 k
 nss-util                 x86_64       3.15.2-1.fc19        updates        68 k
 perl-Date-Manip          noarch       6.41-1.fc19          updates       1.2 M 
...

Expected results:
No mail.

Comment 1 jcpunk 2013-10-21 15:12:12 UTC
yum-cron-3.4.3-111.fc19 has an option to disable these messages.

/etc/yum/yum-cron.conf -> update_messages

Simply set it to 'no' and you should stop recieving mail from the process.

Comment 2 Jan ONDREJ 2013-10-25 05:22:59 UTC
(In reply to jcpunk from comment #1)
> yum-cron-3.4.3-111.fc19 has an option to disable these messages.
> 
> /etc/yum/yum-cron.conf -> update_messages
> 
> Simply set it to 'no' and you should stop recieving mail from the process.

I set this to no 3 days ago. No messages are sent, but no updates are installed 3 days. :-(

I set it in yum-cron.conf and yum-cron-hourly-conf too. My settings:

[root@work yum]# grep ^[a-z] yum-cron.conf
update_cmd = default
update_messages = no
download_updates = yes
apply_updates = yes
random_sleep = 0
system_name = None
emit_via = stdio
ouput_width = 80
email_from = root
email_to = root
email_host = localhost
group_list = None
group_package_types = mandatory, default
debuglevel = -3
mdpolicy = group:main

[root@work yum]# grep ^[a-z] yum-cron-hourly.conf
update_cmd = default
update_messages = no
download_updates = no
apply_updates = yes
random_sleep = 0
system_name = None
emit_via = stdio
ouput_width = 80
email_from = root
email_to = root
email_host = localhost
group_list = None
group_package_types = mandatory, default
debuglevel = -4
mdpolicy = group:main

Comment 3 Fedora Update System 2013-12-04 16:32:19 UTC
yum-3.4.3-119.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-119.fc19

Comment 4 Fedora Update System 2013-12-04 16:34:45 UTC
yum-3.4.3-119.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-3.4.3-119.fc20

Comment 5 Fedora Update System 2013-12-05 00:38:36 UTC
Package yum-3.4.3-119.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-119.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22706/yum-3.4.3-119.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-12-06 14:24:45 UTC
yum-3.4.3-120.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-120.fc19

Comment 7 Fedora Update System 2013-12-06 14:33:05 UTC
yum-3.4.3-120.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-3.4.3-120.fc20

Comment 8 Jan ONDREJ 2013-12-06 17:12:09 UTC
I installed new yum yesterday. Until now it's running without messages.

Subject: Cron <root@work> run-parts /etc/cron.hourly                            

/etc/cron.hourly/0yum-hourly.cron:

Traceback (most recent call last):
  File "/usr/sbin/yum-cron", line 1154, in <module>
    main()
  File "/usr/sbin/yum-cron", line 1151, in main
    base.updatesCheck()
  File "/usr/sbin/yum-cron", line 1060, in updatesCheck
    self.emitAvailable()
  File "/usr/sbin/yum-cron", line 1085, in emitAvailable
    map(lambda x: x.updatesAvailable(self.tsInfo), self.emitters)
  File "/usr/sbin/yum-cron", line 1085, in <lambda>
    map(lambda x: x.updatesAvailable(self.tsInfo), self.emitters)
  File "/usr/sbin/yum-cron", line 47, in updatesAvailable
    self.output.append(self._formatTransaction(tsInfo))
  File "/usr/sbin/yum-cron", line 429, in _formatTransaction
    ninstalled = self.tsInfo.installed
AttributeError: 'StdIOEmitter' object has no attribute 'tsInfo'

Comment 9 Fedora Update System 2013-12-10 06:11:59 UTC
yum-3.4.3-120.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-12-13 15:48:38 UTC
yum-3.4.3-122.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-3.4.3-122.fc20

Comment 11 Fedora Update System 2013-12-14 03:30:39 UTC
yum-3.4.3-120.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-12-16 07:09:32 UTC
yum-3.4.3-122.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.